Subject: [MSEC] RE: I-D ACTION:draft-ietf-msec-mikey-07.txt

From: "Fredrik Lindholm (KI/EAB)" <[email-masked]>
Date: Mon, 7 Jul 2003 14:22:18 +0200

Hi Martin,

still problem with the mailing list I see (have you tried 
to re-subscribe?). Anyway, thanks for the comments, see 
inline.

> -----Original Message-----
> From: Euchner Martin [mailto:[email-masked]]
> Sent: den 7 juli 2003 11:26
> To: [email-masked]; Euchner Martin; Fredrik 
> Lindholm (KI/EAB)
> Subject: RE: I-D ACTION:draft-ietf-msec-mikey-07.txt
> 
> 
> Fredrik,
> 
> Let me raise a couple of issues upon MIKEY-07:
> 
> 
> 1.) I can see in section 4.2.3 that MIKEY-07 references the 
> AES-key wrap function as a new optional key transport method:
> 
>    The AES key wrap function [AESKW] is included as an 
> optional (but not
>    mandatory to implement) method. If the key wrap function 
> is used, the
>    NULL MAC is RECOMMENDED to be used when using the public key method
>    (NOT the pre-shared key method) as the key wrap itself will provide
>    integrity of the keys. The 128-bit key and a 64-bit salt, S, are
>    derived in accordance to Section 4.1.5 and the key wrap IV is then
>    set to S.
> 
> RFC 3394 (that defines the AES-KW) defines OID(s) for the key 
> wrap algorithm. Where in MIKEY does one have to put that OID 
> (i.e I believe id-aes128-wrap is the only OID that would 
> apply to MIKEY at present, the other OIDs currently do not 
> make much sense for MIKEY). That should be clarified.

We do not use the OID (see below).
 
> 1.1) Or asked more generally: How does the recipient know 
> which key transport method (MIKEY default or AES-key wrap) is 
> being used?

The algorithm used for key encryption is signaled in the 
KEMAC payload (see Section 6.2).

> 2.) Section 6.5 now lists the applied signature algorithm by 
> the sender:
> 
>      S type        | Value | Comments
>      -------------------------------------
>      RSA/PKCS#1/1.5|     0 | Denotes a PKCS #1 version 1.5 signature
>      RSA/PSS       |     1 | Denotes a PSS signature
> 
> While the reference section lists a PKCS#1 reference, I can't 
> find any (normative) references to RSA/PSS. I assume that 
> this one should be added to the normative references too.

Yes
 
> BTW: The PKCS#1 reference is probably not in the most 
> appropriate shape:
> 
>    [PKCS1] PKCS #1 - RSA Cryptography Standard,
>    http://www.rsalabs.com/pkcs/pkcs-1/
> 
> We should try to reference some more official (IETF) 
> document: 

Ok

> Let me recommend to >>normatively<< reference RFC 
> (2313/2437/) 3447 instead (see below):
> 
> 2313 PKCS #1: RSA Encryption Version 1.5. B. Kaliski. March 1998.
>      (Format: TXT=37777 bytes) (Obsoleted by RFC2437) (Status:
>      INFORMATIONAL)
> 
> 2437 PKCS #1: RSA Cryptography Specifications Version 2.0. B. Kaliski,
>      J. Staddon. October 1998. (Format: TXT=73529 bytes) (Obsoletes
>      RFC2313) (Obsoleted by RFC3447) (Status: INFORMATIONAL)
> 
> 3447 Public-Key Cryptography Standards (PKCS) #1: RSA Cryptography
>      Specifications Version 2.1. J. Jonsson, B. Kaliski. 
> February 2003.
>      (Format: TXT=143173 bytes) (Obsoletes RFC2437) (Status:
>      INFORMATIONAL)
> 
> Problem: Version 1.5 (RFC 2313) is no longer in force, 
> neither is Version 2.0. The RFC index indicates RFC 3447 
> being in force, however that refers to RSA spec 2.1; thus 
> section 6.5 would have to be changed.
> 
> 
> 3.) For completeness, may I request to add the MIKEY-DHHMAC 
> as an informative reference?
 
Ok 

Cheers,
Fredrik
 
> With kind regards
> 
> Martin Euchner.
> --------------------------------------------------------------
> ---------
> | Dipl.-Inf.                     Rapporteur Q.G/SG16
> | Martin Euchner                 Phone: +49 89 722 55790
> | Siemens AG.....................Fax  : +49 89 722 62366
> | ICN M SR 3                     mailto:[email-masked]
> |                                mailto:[email-masked]
> | Hofmannstr. 51                 Intranet: 
> http://ietf.icn.siemens.de/sr3/Standardisation_Topics/security/
> | D-81359 Muenchen               Internet: http://www.siemens.de/
> | __________________
> | Germany     
> --------------------------------------------------------------
> ---------
> 

_______________________________________________
msec mailing list
[email-masked]
http://www.pairlist.net/mailman/listinfo/msec